Bug 109619 - Create Call Graph for C/C++ Code
Create Call Graph for C/C++ Code
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
http://wiki.netbeans.org/CNDCallGraph
callgraph
: PLAN
Depends on: 122140 122954 122955 133230 136414 137577
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 12:05 UTC by Leonid Lenyashin
Modified: 2008-07-22 03:34 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leonid Lenyashin 2007-07-13 12:05:52 UTC
there is an intention to introduce "Call Graph" feature that is to some extent is a reintroduction of similar feature
that  was available in Forte WorkShop 6.2. Users liked the feature, and we want to provide it again with new UI and new
underlaying infrastructure.
As first point we need to define our "User View" to understand potential user model and see how we suppose a developer
to get benefit out of this. Next step would be to define UI and then infrastructure that allows to get the information
on calling chains from different sources: Code Model [the only provider to supported in nearest future], Profile
information, -xprofile=collect data (in case of Sun compilers), etc.
Finally we just need to implement it.
Comment 1 Alexander Simon 2007-12-07 08:28:54 UTC
Prototype was done.
It was committed in the main trunk.
Call graph module do not included in the build.
But it can be build from IDE. Module is located in the cnd/callgraph.
Comment 2 Alexander Simon 2008-04-22 10:56:28 UTC
Feature Request from user cklee75:
Thanks for this useful plugin.
I would like to request:
1. Able to change default mode to "Who calls function" or "Who is called from function" 
2. Able to disable diagram 
3. Able to export call hierarchy in text
Comment 3 Alexander Simon 2008-04-22 10:58:12 UTC
Feature Request from user eskild:
Groundwork for C++ and UML integration (I wish...)
This is pretty cool. A tad slow on large projects, but cool nonetheless. Given that you have the data, it should be
possible to create a UML sequence diagram as well, which would also be cool. Really, what I'm hoping for in the future,
is much more comprehensive C++/UML integration; in the first instance as a tool for source code comprehension. I
regularly have a new old module dump into my lap, and getting an overview of how the beast is actually put together is
always the first big challenge. Diagrams help.
Comment 4 Alexander Simon 2008-04-22 10:59:37 UTC
Feature Request from user nzero2002:
Very nice!
I like the feature very much! Thanks! Could I have Callgraph pane persistent like Navigator and updatable once I select
put caret at a function in a code?
Comment 5 Alexander Simon 2008-05-15 18:57:28 UTC
"Call Graph" was added in the main trank.
The graph part was disabled.
Comment 6 Quality Engineering 2008-05-20 05:14:19 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #206 build
Changeset: http://hg.netbeans.org/main/rev/5a948ca529c4
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing: IZ#109619:Create Call Graph for C/C++ Code
- move module from contrib to main
Comment 7 Quality Engineering 2008-05-22 16:07:30 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #211 build
Changeset: http://hg.netbeans.org/main/rev/e83e06be3a3c
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing: IZ#109619:Create Call Graph for C/C++ Code
- refactoring
Comment 8 Quality Engineering 2008-05-27 16:25:59 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #221 build
Changeset: http://hg.netbeans.org/main/rev/76aaa3c16669
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing: IZ#109619:Create Call Graph for C/C++ Code
- remove unused method
Comment 9 Quality Engineering 2008-05-28 04:48:44 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #222 build
Changeset: http://hg.netbeans.org/main/rev/618a6ecc0882
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing: IZ#109619:Create Call Graph for C/C++ Code
- add action icon
Comment 10 Quality Engineering 2008-06-03 04:11:27 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #234 build
Changeset: http://hg.netbeans.org/main/rev/891f857fd248
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing: IZ#109619:Create Call Graph for C/C++ Code
- refactoring (extract cnd independent part)
Comment 11 Quality Engineering 2008-06-04 15:50:37 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #237 build
Changeset: http://hg.netbeans.org/main/rev/77632c735842
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing: IZ#109619:Create Call Graph for C/C++ Code
Comment 12 Vladimir Kvashin 2008-07-22 03:34:14 UTC
The feature is ready.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo